Bug 1116839 - CompsError: Group 'Core' is already installed.
Summary: CompsError: Group 'Core' is already installed.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ales Kozumplik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:088eb7d942ca13f4d52ebb4ad51...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-07 12:50 UTC by Martin Kolman
Modified: 2014-09-30 23:42 UTC (History)
10 users (show)

Fixed In Version: hawkey-0.4.18-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-19 06:03:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (325.76 KB, text/plain)
2014-07-07 12:51 UTC, Martin Kolman
no flags Details
File: anaconda.log (9.45 KB, text/plain)
2014-07-07 12:51 UTC, Martin Kolman
no flags Details
File: environ (459 bytes, text/plain)
2014-07-07 12:51 UTC, Martin Kolman
no flags Details
File: lsblk_output (2.05 KB, text/plain)
2014-07-07 12:51 UTC, Martin Kolman
no flags Details
File: nmcli_dev_list (1.49 KB, text/plain)
2014-07-07 12:53 UTC, Martin Kolman
no flags Details
File: os_info (381 bytes, text/plain)
2014-07-07 12:53 UTC, Martin Kolman
no flags Details
File: program.log (30.29 KB, text/plain)
2014-07-07 12:53 UTC, Martin Kolman
no flags Details
File: storage.log (98.24 KB, text/plain)
2014-07-07 12:54 UTC, Martin Kolman
no flags Details
File: syslog (61.79 KB, text/plain)
2014-07-07 12:56 UTC, Martin Kolman
no flags Details
File: ifcfg.log (1.39 KB, text/plain)
2014-07-07 12:56 UTC, Martin Kolman
no flags Details
File: packaging.log (625 bytes, text/plain)
2014-07-07 12:56 UTC, Martin Kolman
no flags Details

Description Martin Kolman 2014-07-07 12:50:50 UTC
Description of problem:
1) start PXE installation and add the "dnf" option to boot command line
2) on Welcome spoke click on "Continue" and confirm the pre release warning
3) the main hub starts loading and then Anaconda crashes with an exception

Version-Release number of selected component:
anaconda-21.45-1

The following was filed automatically by anaconda:
anaconda 21.45-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/dnf/comps.py", line 416, in group_install
    group.ui_name)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 1384, in group_install
    trans = solver.group_install(grp, pkg_types, exclude)
  File "/tmp/updates/pyanaconda/packaging/dnfpayload.py", line 319, in _select_group
    self._base.group_install(grp, types, exclude=exclude)
  File "/tmp/updates/pyanaconda/packaging/dnfpayload.py", line 227, in _apply_selections
    self._select_group(group.name, default=default, optional=optional)
  File "/tmp/updates/pyanaconda/packaging/dnfpayload.py", line 402, in checkSoftwareSelection
    self._apply_selections()
  File "/tmp/updates/pyanaconda/ui/gui/spokes/software.py", line 117, in checkSoftwareSelection
    self.payload.checkSoftwareSelection()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/tmp/updates/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
CompsError: Group 'Core' is already installed.

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=/test/mk/fedora/initrd.img root=live:http://cobra02/trees/mk/my_comps_squashfs.img nokill updates=http://cobra02/ks/mk/master_updates.img resolution=1024x768 lang=en dnf BOOT_IMAGE=/test/mk/fedora/vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.16.0-0.rc3.git2.2.fc21.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        21

Comment 1 Martin Kolman 2014-07-07 12:51:00 UTC
Created attachment 916061 [details]
File: anaconda-tb

Comment 2 Martin Kolman 2014-07-07 12:51:07 UTC
Created attachment 916062 [details]
File: anaconda.log

Comment 3 Martin Kolman 2014-07-07 12:51:30 UTC
Created attachment 916063 [details]
File: environ

Comment 4 Martin Kolman 2014-07-07 12:51:51 UTC
Created attachment 916064 [details]
File: lsblk_output

Comment 5 Martin Kolman 2014-07-07 12:53:05 UTC
Created attachment 916065 [details]
File: nmcli_dev_list

Comment 6 Martin Kolman 2014-07-07 12:53:26 UTC
Created attachment 916066 [details]
File: os_info

Comment 7 Martin Kolman 2014-07-07 12:53:48 UTC
Created attachment 916067 [details]
File: program.log

Comment 8 Martin Kolman 2014-07-07 12:54:40 UTC
Created attachment 916068 [details]
File: storage.log

Comment 9 Martin Kolman 2014-07-07 12:56:29 UTC
Created attachment 916069 [details]
File: syslog

Comment 10 Martin Kolman 2014-07-07 12:56:37 UTC
Created attachment 916070 [details]
File: ifcfg.log

Comment 11 Martin Kolman 2014-07-07 12:56:44 UTC
Created attachment 916071 [details]
File: packaging.log

Comment 12 Ales Kozumplik 2014-07-07 14:05:42 UTC
Thanks, we'll take a look.

Comment 13 Ales Kozumplik 2014-07-08 12:21:15 UTC
looking.

Comment 14 Ales Kozumplik 2014-07-08 15:58:29 UTC
Fixed by 8d4c27e, thanks for reporting and helping out reproducing this.

Comment 15 Fedora Update System 2014-07-17 06:42:39 UTC
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hawkey-0.4.18-2.fc20,dnf-0.5.4-1.fc20,libsolv-0.6.4-0.git2a5c1c4.fc20

Comment 16 Fedora Update System 2014-07-19 06:03:09 UTC
hawkey-0.4.18-2.fc20, dnf-0.5.4-1.fc20, libsolv-0.6.4-0.git2a5c1c4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.